Project Home
Project Home
Wiki
Wiki
Project Information
Project Info
wiki2579: SDP_6.4.0_BSP_Info

SDP 6.4.X BSP Information#

This page contains important information required to compile and package BSPs with the QNX Software Development Platform 6.4.0 and 6.4.1 . The release number ( e.g. 6.4.1 ) will be referred to explicitly if instructions are applicable only to the stated release; otherwise 6.4.x will be used.

BSP Source Guide (for QNX 6.3.x and 6.4.x BSPs)#

http://community.qnx.com/sf/wiki/do/viewPage/projects.bsp/wiki/Bsp_source_guide


What's New #

6.4.1#

  • QNX SDP 6.4.1 ( with IDE 4.6) has just been released. Both 6.4.0 and 6.4.1 BSPs can be built with SDP 6.4.1, either at the command line or in the IDE. See the "Building 6.4.x BSPs" section for how to build the BSPs, and see the "6.4.0 and 6.4.1 Interoperability" section for potential hazards.
  • PPC-SPE variant was added to support SPE floating point operations on Freescale boards using an e500 core.
  • MIPS BE and LE variants were added.
  • ARM Cortex-A8 support was added.
  • module.tmpl files are no longer required to import a BSP into the IDE (4.6.1 and above). Instead, a startup (and optionally an IPL ) entry must be added to the source.xml file which can be found at the root of BSPs. See the Packaging a Board Support Packag for more information.

6.4.0#

  • 6.4.x BSPs are packaged differently than their predecessors:
    • It is no longer necessary to run the setupbsp script; see Installing the BSP below.
    • Documentation is now provided in Wiki format on Foundry27.


6.4.0 and 6.4.1 Interoperability #

Building 6.4.0 BSPs with QNX SDP 6.4.1 #

6.4.0 BSPs should compile and work with QNX SDP 6.4.1.

NOTE: 6.4.0 BSPs for e500-based boards cannot be used with SPE turned ON; you must use 6.4.1 versions of these BSPs instead

Building 6.4.1 BSPs with QNX SDP 6.4.0#

This is not supported, and upgrading to SDP 6.4.1 is required. NOTE: New BSPs will be delivered under 6.4.0 unless 6.4.1 is strictly required e.g. PPC-SPE.


Available BSPs#


Here is a list of available BSPs:

6.4.1 BSPs#

6.4.0 BSPs#



A complete list of BSPs can be found here.


Building 6.4.x BSPs#

Importing and Building a BSP live from Foundry 27 (using IDE 4.6)#

  1. Select File > Import, pick QNX > QNX Source Package and BSP, and then click Next.
  2. Select Import from Foundry27 SVN repository, and then click Next.
  3. Select a board support package from the Known Foundry27 Source Packages, and then click Finish. (Note: The first time you do this, you will have to enter your Foundry 27 credentials.)

Importing and Building a BSP archive with the IDE (using IDE 4.6)#

  1. Download the BSP archive to your host development system.
  2. In the IDE, do the following:
    1. Select File > Import, pick QNX > QNX Source Package and BSP, and then click Next.
  3. Select Import from local archive file.
    1. Select Browse..., browse to the location of the BSP archive, and then click Finish.

NOTE: BSPs downloaded from Foundry27 are sometimes double zipped (when downloading by pressing the download button as opposed to using your browser "download" functionality over links). When this happens, make sure to unzip the first level of archive before importing into the IDE. This will be resolved in future release of the IDE (Ref# 68666).

Importing and Building a BSP archive with the IDE (using IDE 4.5)#

  1. Download the BSP archive to your host development system.
  2. In the IDE, do the following:
    1. Select File > Import, pick QNX > QNX Board Support Package, and then click Next.
    2. Select Select Package..., browse to the location of the BSP archive, and then click Finish.

NOTE: BSPs downloaded from Foundry27 are sometimes double zipped (when downloading by pressing the download button as opposed to using your browser "download" functionality over links). When this happens, make sure to unzip the first level of archive before importing into the IDE. This will be resolved in future release of the IDE (Ref# 68666).

How to use the 6.4.0 tool chain within IDE 4.6 ( which is shipped with SDP 6.4.1) #

Newer QNX Neutrino 6.4.0 BSPs will require the use of IDE 4.6. Test

Prerequisite: Both QNX SDP 6.4.0 and QNX SDP 6.4.1 must be installed.

  1. Start IDE 4.6 (part of QNX SDP 6.4.1)
  2. Select Windows->Preferences->QNX.
  3. Select the 6.4.0 installation, which changes the $QNX_HOST and $QNX_TARGET environment variables.
  4. Import the BSP as per the above instructions.

Building BSPs at the command line#

  1. Download the BSP archive to your host development system.
  2. Extract the BSP archive in your workspace.
  3. Type make.


Resources#





Active Tab Versions Inactive Tab - left sideAssociations Inactive Tab - left sideAttachments Inactive Tab - left sideBack LinksInactive Tab - right side  
    Version From To Version Comment Created By
    Version 47 David Green  -  05/06/2014
    Version 46 David Green  -  05/06/2014
    Version 45 Leo Forget  -  02/03/2012
    Version 44 fixed typo: IDE 4.6 is part of 6.4.1 Bert Gemin  -  09/11/2009
    Version 43 Editorial changes. Steve Reid  -  05/26/2009
    Version 42 added list of BSPs Shawn Lennox(deleted)  -  05/26/2009
    Version 41 minor edits Shawn Lennox(deleted)  -  05/26/2009
    Version 40 Typos Frederic Plante(deleted)  -  05/26/2009
    Version 39 fixed typo Shawn Lennox(deleted)  -  05/25/2009
    Version 38 added BSP page link Shawn Lennox(deleted)  -  05/25/2009
    Version 37 checkpoint: added 641 info Shawn Lennox(deleted)  -  05/25/2009
    Version 36 Adding LiPPERT Nicolas Gagnon(deleted)  -  05/06/2009
    Version 35 Add AMCC PPC405EX Jian Wu  -  04/20/2009
    Version 34 Add the OMAP 3530 EVM and Beagle BSP Jingping Huang  -  03/17/2009
    Version 33 Added AMD Geode LXDB800 Jian Wu  -  03/12/2009
    Version 32 Add the AMCC PPC460EX EVK BSP Jingping Huang  -  03/11/2009
    Version 31 Added Freescale MPC8313E RDB and Freescale MPC8536 DS Jian Wu  -  03/04/2009
    Version 30 Added ppc970, omap2420, sh7774 GoldAle and sh7780 edosk Jian Wu  -  01/20/2009
    Version 29 Add the Atmel AT91SAM9263 EK BSP Jingping Huang  -  01/19/2009
    Version 28 Jian Wu  -  12/22/2008
    Version 27 Add the Freescale MPC8349E MDS BSP and AMCC PPC440 EP/GR EVK BSP Jian Wu  -  12/15/2008
    Version 26 Add the Freescale MPC8360E MDS BSP Jingping Huang  -  12/15/2008
    Version 25 Fixed 8x50->85x0 Frederic Plante(deleted)  -  12/03/2008
    Version 24 Added Fujitsu Jade EVB Jian Wu  -  12/03/2008
    Version 23 Jian Wu  -  12/03/2008
    Version 22 Added Texas Instruments DM644x EVM Jian Wu  -  12/03/2008
    Version 21 added Freescale MPC8548 CDS Jian Wu  -  12/03/2008
    Version 20 Add the Texas Instruments OMAP 5912 OSK BSP Jingping Huang  -  12/02/2008
    Version 19 Add the Texas Instruments DM355 EVM BSP Jingping Huang  -  12/02/2008
    Version 18 Change heading slightly Martin Walter  -  12/01/2008
    Version 17 Add the Freescale Lite5200B and Media5200 BSP Ben Biron  -  12/01/2008
    Version 16 Frederic Plante(deleted)  -  11/17/2008
    Version 15 Frederic Plante(deleted)  -  11/07/2008
    Version 14 Frederic Plante(deleted)  -  11/07/2008
    Version 13 Frederic Plante(deleted)  -  10/31/2008
    Version 12 Frederic Plante(deleted)  -  10/31/2008
    Version 11 Frederic Plante(deleted)  -  10/30/2008
    Version 10 Frederic Plante(deleted)  -  10/30/2008
    Version 9 Frederic Plante(deleted)  -  10/21/2008
    Version 8 Frederic Plante(deleted)  -  10/21/2008
    Version 7 Nicolas Gagnon(deleted)  -  09/22/2008
    Version 6 Nicolas Gagnon(deleted)  -  09/22/2008
    Version 5 Nicolas Gagnon(deleted)  -  09/22/2008
    Version 4 added sdk7785 link removed setenv.sh step Shawn Lennox(deleted)  -  09/19/2008
    Version 3 Frederic Plante(deleted)  -  08/26/2008
    Version 2 Frederic Plante(deleted)  -  08/26/2008
    Version 1 Frederic Plante(deleted)  -  08/18/2008